/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.ParadaEquivalenciaDAO;
import com.rjconsultores.ventaboletos.entidad.ComisionistaExterno;
import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.ParadaEquivalencia;
import com.rjconsultores.ventaboletos.service.ParadaEquivalenciaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("paradaEquivalenciaService")
public class ParadaEquivalenciaServiceImpl implements ParadaEquivalenciaService {

    @Autowired
    private ParadaEquivalenciaDAO paradaEquivalenciaDAO;

    public List<ParadaEquivalencia> obtenerTodos() {
        return paradaEquivalenciaDAO.obtenerTodos();
    }

    public ParadaEquivalencia obtenerID(Integer id) {
        return paradaEquivalenciaDAO.obtenerID(id);
    }

    @Transactional
    public ParadaEquivalencia suscribir(ParadaEquivalencia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return paradaEquivalenciaDAO.suscribir(entidad);
    }

    @Transactional
    public ParadaEquivalencia actualizacion(ParadaEquivalencia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return paradaEquivalenciaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(ParadaEquivalencia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        paradaEquivalenciaDAO.actualizacion(entidad);
    }

    public List<ParadaEquivalencia> buscar(Parada parada,
            ComisionistaExterno comisionistaExterno, String equivalencia) {
        return paradaEquivalenciaDAO.buscar(parada, comisionistaExterno, equivalencia);
    }

    public List<ParadaEquivalencia> buscarEquivalencia(String equivalencia) {
         return paradaEquivalenciaDAO.buscarEquivalencia(equivalencia);
    }
}
